CGAL 6.1 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
List of all members
Kernel::ConstructCircumcenter_3 Concept Reference
Reference Manual » Concepts » Kernel Function Object Concepts

## Definition

Refines
  `AdaptableQuaternaryFunction`

See also
  `CGAL::circumcenter()`

## Operations
A model of this concept must provide:
Kernel::Point_3 | operator() (const Kernel::Point_3 &p, const Kernel::Point_3 &q)
| compute the center of the smallest circle passing through the points `p` and `q`.
Kernel::Point_3 | operator() (const Kernel::Point_3 &p, const Kernel::Point_3 &q, const Kernel::Point_3 &r, const Kernel::Point_3 &s)
| compute the center of the sphere passing through the points `p`, `q`, `r`, and `s`.
Kernel::Point_3 | operator() (const Kernel::Tetrahedron_3 &t)
| compute the center of the sphere passing through the vertices of `t`.
Kernel::Point_3 | operator() (const Kernel::Point_3 &p, const Kernel::Point_3 &q, const Kernel::Point_3 &r)
| compute the center of the circle passing through the points `p`, `q` and `r`.
Kernel::Point_3 | operator() (const Kernel::Triangle_3 &t)
| compute the center of the circle passing through the vertices of `t`.

## Member Function Documentation

## ◆ operator()() [1/5]

Kernel::Point_3 Kernel::ConstructCircumcenter_3::operator() | ( | const Kernel::Point_3 & | p,
|  | const Kernel::Point_3 & | q
| ) |  |

compute the center of the smallest circle passing through the points `p` and `q`.

Note : this is the same as `Kernel::ConstructMidpoint_3`.

## ◆ operator()() [2/5]

Kernel::Point_3 Kernel::ConstructCircumcenter_3::operator() | ( | const Kernel::Point_3 & | p,
|  | const Kernel::Point_3 & | q,
|  | const Kernel::Point_3 & | r
| ) |  |

compute the center of the circle passing through the points `p`, `q` and `r`.

Precondition
  `p`, `q` and `r` are not collinear.

## ◆ operator()() [3/5]

Kernel::Point_3 Kernel::ConstructCircumcenter_3::operator() | ( | const Kernel::Point_3 & | p,
|  | const Kernel::Point_3 & | q,
|  | const Kernel::Point_3 & | r,
|  | const Kernel::Point_3 & | s
| ) |  |

compute the center of the sphere passing through the points `p`, `q`, `r`, and `s`.

Precondition
  `p`, `q`, `r`, and `s` are not coplanar.

## ◆ operator()() [4/5]

Kernel::Point_3 Kernel::ConstructCircumcenter_3::operator() | ( | const Kernel::Tetrahedron_3 & | t | ) |

compute the center of the sphere passing through the vertices of `t`.

Precondition
  `t` is not degenerate.

## ◆ operator()() [5/5]

Kernel::Point_3 Kernel::ConstructCircumcenter_3::operator() | ( | const Kernel::Triangle_3 & | t | ) |

compute the center of the circle passing through the vertices of `t`.

Precondition
  `t` is not degenerate.